<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="StringService" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://tempuri.org/Imports">
      <xsd:import namespace="http://tempuri.org/" />
      <xsd:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/WcfServiceLibrary" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="IStringService_GetData_InputMessage">
    <wsdl:part name="parameters" element="tns:GetData" />
  </wsdl:message>
  <wsdl:message name="IStringService_GetData_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetDataResponse" />
  </wsdl:message>
  <wsdl:message name="IStringService_GetDataUsingDataContract_InputMessage">
    <wsdl:part name="parameters" element="tns:GetDataUsingDataContract" />
  </wsdl:message>
  <wsdl:message name="IStringService_GetDataUsingDataContract_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetDataUsingDataContractResponse" />
  </wsdl:message>
  <wsdl:message name="IStringService_Length_InputMessage">
    <wsdl:part name="parameters" element="tns:Length" />
  </wsdl:message>
  <wsdl:message name="IStringService_Length_OutputMessage">
    <wsdl:part name="parameters" element="tns:LengthResponse" />
  </wsdl:message>
  <wsdl:portType name="IStringService">
    <wsdl:operation name="GetData">
      <wsdl:input wsaw:Action="http://tempuri.org/IStringService/GetData" message="tns:IStringService_GetData_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IStringService/GetDataResponse" message="tns:IStringService_GetData_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetDataUsingDataContract">
      <wsdl:input wsaw:Action="http://tempuri.org/IStringService/GetDataUsingDataContract" message="tns:IStringService_GetDataUsingDataContract_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IStringService/GetDataUsingDataContractResponse" message="tns:IStringService_GetDataUsingDataContract_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Length">
      <wsdl:input wsaw:Action="http://tempuri.org/IStringService/Length" message="tns:IStringService_Length_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IStringService/LengthResponse" message="tns:IStringService_Length_OutputMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="BasicHttpBinding_IStringService" type="tns:IStringService">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetData">
      <soap:operation soapAction="http://tempuri.org/IStringService/GetData" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDataUsingDataContract">
      <soap:operation soapAction="http://tempuri.org/IStringService/GetDataUsingDataContract" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Length">
      <soap:operation soapAction="http://tempuri.org/IStringService/Length" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="StringService">
    <wsdl:port name="BasicHttpBinding_IStringService" binding="tns:BasicHttpBinding_IStringService">
      <soap:address location="http://localhost:8733/Design_Time_Addresses/WcfServiceLibrary/Service1/" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>